## ncbi-vdb 2.9.0-1+dfsg

=== debian/changelog ===
ncbi-vdb (2.9.0-1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * d/rules: s/DEB_BUILD_OPTIONS/DH_BUILD_MAINT_OPTIONS/

 -- Andreas Tille <tille@debian.org>  Mon, 19 Mar 2018 11:36:13 +0100

=== debian/control ===
Source: ncbi-vdb
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               d-shlibs,
               libbz2-dev,
               libxml2-dev,
               libhdf5-dev,
               libmagic-dev,
               libngs-sdk-dev,
               libngs-java,
               libmbedtls-dev,
               zlib1g-dev,
               default-jdk-headless
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ncbi-vdb.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/ncbi-vdb.git
Homepage: https://github.com/ncbi/ncbi-vdb

Package: libncbi-vdb2
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: libraries for using data in the INSDC Sequence Read Archives
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 The API is currently expressed in C++, Java and Python languages. The
 design makes it possible to maintain a high degree of similarity between
 the code in one language and code in another - especially between C++
 and Java.

Package: libncbi-vdb-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libncbi-vdb2 (= ${binary:Version}),
         libkdf5-dev (= ${binary:Version}),
         libncbi-wvdb-dev (= ${binary:Version}),
         libaec-dev,
         libbz2-dev,
         zlib1g-dev
Description: libraries for using data in the INSDC Sequence Read Archives (devel)
 Much of the data submitted these days, for example in BAM, Illumina
 export.txt, and Complete Genomics formats, contain alignment
 information. With aligned data, NCBI uses Compression by Reference,
 which only stores the differences in base pairs between sequence data
 and the segment it aligns to. The process to restore original data, for
 example as FastQ, requires fast access to the reference sequences that
 the original data was aligned to. NCBI recommends that SRA users
 dedicate local disk space to store references downloaded from the NCBI
 SRA site. As of Fall 2014, the complete collection of these reference
 sequences is 66 GB. While it isn't usually necessary to download the
 entirety of the reference sequences, this should give you an idea of the
 scale of the storage requirement. By default, the Toolkit will download
 missing reference sequences on demand and cache them in the user's home
 directory. The location of this cache is configurable, as is whether the
 download is automatic or manual.
 .
 This is the development package.

Package: libkdf5-2
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libmbedtls-dev
Description: hdf5 access to data in the INSDC Sequence Read Archives
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 This library is part of the ncbi-vdb package and provides an interface
 to the Hierarchical Data Format 5 (HDF5).

Package: libkdf5-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libkdf5-2 (= ${binary:Version})
Description: hdf5 access to data in the INSDC Sequence Read Archives (devel)
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 This library is part of the ncbi-vdb package and provides an interface
 to the Hierarchical Data Format 5 (HDF5).
 .
 This is the development package.

Package: libncbi-wvdb2
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: virtual layer update modul of ncbi-vdb library
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 This library is part of the ncbi-vdb package.

Package: libncbi-wvdb-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libncbi-wvdb2 (= ${binary:Version})
Description: virtual layer update modul of ncbi-vdb library (devel)
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 This library is part of the ncbi-vdb package.
 .
 This is the development package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DH_BUILD_MAINT_OPTIONS := nocheck

# DH_VERBOSE := 1

include /usr/share/dpkg/default.mk

OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
CPU := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
# since build-results are not ending up in the proper dir its saver to use "*" instead of "$(CPU)"
SODIR := $(DEB_SOURCE)/$(DEB_SOURCE)/$(OS)/gcc
VDB_ARCH := $(word 1, $(subst -, ,$(DEB_HOST_MULTIARCH)))
LIBINSTALLDIR := debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/$(VDB_ARCH)/dbg/lib
LIBPKG := libncbi-vdb2
SCHEMADIR := debian/$(LIBPKG)/usr/lib/$(DEB_SOURCE)

%:
	dh $@

override_dh_auto_clean:
	if [ -e ngs-sdk/Makefile.config.$(OS).$(CPU) ] ; then \
		dh_auto_clean ; \
	fi
	rm -rf $(DEB_SOURCE)/$(MULTIARCH)

override_dh_auto_configure:
	# that's no standard configure script lacking support of default options
	# The build system shamelessly ignores those options like
	#    --with-ngs-java-prefix=/usr/share/java
	# so we need to go with patches.  The options are specified anyway.
	ln -s /usr/lib/jvm/default-java/include/jni.h		libs/ngs-jni
	ln -s /usr/lib/jvm/default-java/include/linux/jni_md.h	libs/ngs-jni
	./configure --build=$(MULTIARCH) --prefix=/usr --build-prefix=$(CURDIR)/debian/tmp/usr --with-ngs-sdk-prefix=/usr --with-debug --with-ngs-java-prefix=/usr/share/java
	# no idea how to convince configure script to use the correct include dir so patching result afterwards
	sed -i 's?HDF5_INCDIR = /usr/include?&/hdf5/serial?' build/Makefile.config*

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	# FIXME: some tests keep on failing despite debian/patches/skip_failing_test.patch - needs to be sorted out later
	dh_auto_test || true
else
	echo "Skip testing which takes a long time"
endif

override_dh_auto_install:
	dh_auto_install
	find $(LIBINSTALLDIR) -name "*-static.a" -delete
	# upstream installs versioned *.a libs - we only want a single version
	for slib in $(LIBINSTALLDIR)/*.a ; do \
	    mv $(LIBINSTALLDIR)/`readlink $$slib` $$slib ; \
	    mv $(LIBINSTALLDIR)/`readlink $$slib` $$slib ; \
	done
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --override s/libmbedcrypto0-dev/libmbedtls-dev/ \
		    --override s/libmbedtls10-dev/libmbedtls-dev/ \
		    --override s/libmbedx509-0-dev/libmbedtls-dev/ \
		    --movedev debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/lib/libncbi-ngs-c++.a usr/lib/$(MULTIARCH) \
		    --movedev debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/ilib/libkapp.a usr/lib/$(MULTIARCH) \
		    --movedev debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/ilib/libkapp-norsrc.a usr/lib/$(MULTIARCH) \
		    --movedev debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/ilib/libkff.a usr/lib/$(MULTIARCH) \
		    --movedev debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/ilib/libktst.a usr/lib/$(MULTIARCH) \
		    --movedev debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/ilib/libkxfs.a usr/lib/$(MULTIARCH) \
		    --movedev debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/ilib/libkxml.a usr/lib/$(MULTIARCH) \
                    --movedev debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/ilib/libload.a usr/lib/$(MULTIARCH) \
		    --movedev debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/ilib/libtui.a usr/lib/$(MULTIARCH) \
                    --movedev debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/ilib/libtui_cpp.a usr/lib/$(MULTIARCH) \
		    --movedev interfaces usr/include \
		    debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/lib/libncbi-vdb.so
	mv debian/libncbi-vdb-dev/usr/include/interfaces debian/libncbi-vdb-dev/usr/include/$(DEB_SOURCE)
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --override s/libhdf5_serial[0-9]*-dev/libhdf5-dev/ \
		    --override s/libmbedcrypto0-dev/libmbedtls-dev/ \
		    --override s/libmbedtls10-dev/libmbedtls-dev/ \
		    --override s/libmbedx509-0-dev/libmbedtls-dev/ \
		    debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/lib/libkdf5.so
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/lib/libncbi-wvdb.so
	find debian/lib* -name .gitignore -delete
	# move schemata from development packages to library packages since these are used in executables
	mkdir -p $(SCHEMADIR)
	set -x ; \
	for schema in `find debian/libncbi-vdb-dev/usr/include/$(DEB_SOURCE) -name "*.vschema"` ; do \
	    schemafile=`basename $${schema}` ; \
	    schemadir=`basename $$(dirname $${schema})` ; \
	    mkdir -p $(SCHEMADIR)/$${schemadir} ; \
	    sed -i "s:^include ':&/usr/lib/ncbi-vdb/:" $${schema} ; \
	    mv $${schema} $(SCHEMADIR)/$${schemadir} ; \
	done

## ncbi-vdb 2.9.1

=== test/kns/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


default: runtests

runtests: run-tests run-test-proxy-with-scheme

TOP ?= $(abspath ../..)
MODULE = test/kns

TEST_TOOLS = \
	test-kns \
	test-http-dropconn \
	KNSManagerSingletonTest \

include $(TOP)/build/Makefile.env

EXT_TOOLS = \
	test-http \
	test-proxy \
	test-proxy-with-env \
	test-proxy-with-scheme \

ALL_TOOLS = \
	$(INT_TOOLS) \
	$(EXT_TOOLS)

#-------------------------------------------------------------------------------
# outer targets
#
all std: makedirs
	@ $(MAKE_CMD) $(TARGDIR)/$@

$(ALL_TOOLS): makedirs
	@ $(MAKE_CMD) $(BINDIR)/$@

.PHONY: all std $(ALL_TOOLS)

#-------------------------------------------------------------------------------
# all
#
$(TARGDIR)/all: \
	$(addprefix $(BINDIR)/,$(ALL_TOOLS))

.PHONY: $(TARGDIR)/all

#-------------------------------------------------------------------------------
# std
#
$(TARGDIR)/std: \
	$(addprefix $(BINDIR)/,$(EXT_TOOLS))

$(TEST_TOOLS): makedirs
	@ $(MAKE_CMD) $(TEST_BINDIR)/$@

clean: stdclean

INCDIRS += -I$(TOP)/libs/kns

#-------------------------------------------------------------------------------
# white-box test. TODO: combine with the old test/kns/http-test.c, roll into the C++ test-http
#
#
#TEST_SRC = \
#	wb-http-test
#
#TEST_OBJ = \
#	$(addsuffix .$(OBJX),$(TEST_SRC))
#
#TEST_LIB = \
#	-skapp-norsrc \
#	-sncbi-vdb \
#
#$(TEST_BINDIR)/test-http: $(TEST_OBJ)
#	$(LD) --exe -o $@ $^ $(TEST_LIB)

KNSTEST_LIB = \
	-skapp \
    -sncbi-vdb \
    -sktst \

#----------------------------------------------------------------
# KNSManagerSingletonTest
#
SINGLETON_SRC = \
	KNSManagerSingletonTest
SINGLETON_OBJ = \
	$(addsuffix .$(OBJX),$(SINGLETON_SRC))
$(TEST_BINDIR)/KNSManagerSingletonTest: $(SINGLETON_OBJ)
	$(LP) --exe -o $@ $^ $(KNSTEST_LIB)

#----------------------------------------------------------------
# test-kns
#
KNSTEST_SRC = \
	knstest

KNSTEST_OBJ = \
	$(addsuffix .$(OBJX),$(KNSTEST_SRC))

$(TEST_BINDIR)/test-kns: $(KNSTEST_OBJ)
	$(LP) --exe -o $@ $^ $(KNSTEST_LIB)

kns: test-kns
	$(TEST_BINDIR)/test-kns  #-l=all

#----------------------------------------------------------------
# test-proxy
#
PROXYTEST_SRC = \
	http-client \
	test-proxy \

PROXYTEST_OBJ = \
	$(addsuffix .$(OBJX),$(PROXYTEST_SRC))

$(BINDIR)/test-proxy: $(PROXYTEST_OBJ)
	$(LP) --exe -o $@ $^ $(KNSTEST_LIB)


#----------------------------------------------------------------
# test-proxy-with-scheme
#
PROXYSCH_SRC = \
	test-proxy-with-scheme \

PROXYSCH_OBJ = \
	$(addsuffix .$(OBJX),$(PROXYSCH_SRC))

$(BINDIR)/test-proxy-with-scheme: $(PROXYSCH_OBJ)
	$(LP) --exe -o $@ $^ $(KNSTEST_LIB)


#----------------------------------------------------------------
# test-http
#
HTTPTEST_SRC = \
	httptest

HTTPTEST_OBJ = \
	$(addsuffix .$(OBJX),$(HTTPTEST_SRC))

$(BINDIR)/test-http: $(HTTPTEST_OBJ)
	$(LP) --exe -o $@ $^ $(KNSTEST_LIB)

http: test-http
	unset http_proxy ; $(BINDIR)/test-http  # -l=all

#----------------------------------------------------------------
# test-http-dropconn
#
HTTP_DROPCONN_TEST_SRC = \
	http_dropconnection_test

HTTP_DROPCONN_TEST_OBJ = \
	$(addsuffix .$(OBJX),$(HTTP_DROPCONN_TEST_SRC))

$(TEST_BINDIR)/test-http-dropconn: $(HTTP_DROPCONN_TEST_OBJ)
	$(LP) --exe -o $@ $^ $(KNSTEST_LIB)

dropconn: test-http-dropconn
	$(TEST_BINDIR)/test-http-dropconn  # -l=all

#----------------------------------------------------------------
# test-proxy-with-env
#
TOOL_SRC = \
	http-client \
	test-proxy-with-env \

TOOL_OBJ = \
	$(addsuffix .$(OBJX),$(TOOL_SRC))

$(BINDIR)/test-proxy-with-env: $(TOOL_OBJ)
	$(LP) --exe -o $@ $^ -L$(VDB_LIBDIR) -L$(VDB_LIBDIR)/../ilib $(KNSTEST_LIB)


#----------------------------------------------------------------

run-tests:
	unset http_proxy ; $(BINDIR)/test-http
	unset http_proxy ; $(BINDIR)/test-proxy

# test-proxy-with-scheme never does direct internet connection
# ( /http/proxy/only = "true" )
# It can access internet
# just when there is a good proxy specified via configuration or environment

run-test-proxy-with-scheme:
	@ echo test-proxy-with-scheme: BEGIN ...

	# no proxy specified: fail
	unset http_proxy ; $(BINDIR)/test-proxy-with-scheme

	# bad proxy in configuration: fail
	unset http_proxy ; \
                $(BINDIR)/test-proxy-with-scheme =BAD.proxy.ncbi.nlm.nih.gov

	# good proxy in configuration: success
	ping -c1 webproxy > /dev/null \
        && $(BINDIR)/test-proxy-with-scheme =webproxy.ncbi.nlm.nih.gov  SUCCESS \
        || echo skipped

	# bad proxy in environment: fail
	http_proxy=BAD.proxy.ncbi.nlm.nih.gov $(BINDIR)/test-proxy-with-scheme

	# good proxy in environment: success
	ping -c1 webproxy > /dev/null && all_proxy=webproxy.ncbi.nlm.nih.gov \
		$(BINDIR)/test-proxy-with-scheme                       SUCCESS || echo skipped

	# good proxy with schema in environment: success
	ping -c1 webproxy > /dev/null && ALL_PROXY=http://webproxy.ncbi.nlm.nih.gov \
		$(BINDIR)/test-proxy-with-scheme                       SUCCESS || echo skipped

	# good proxy with schema and port in environment: success
	ping -c1 webproxy > /dev/null && \
        http_proxy=http://webproxy.ncbi.nlm.nih.gov:3128 \
		$(BINDIR)/test-proxy-with-scheme                       SUCCESS || echo skipped

	# good proxy with any schema in environment: success
	ping -c1 webproxy > /dev/null && \
        HTTP_PROXY=anySchemaWillBeIgnored://webproxy.ncbi.nlm.nih.gov \
		$(BINDIR)/test-proxy-with-scheme                       SUCCESS || echo skipped

	# bad proxy port in environment: fail
	http_proxy=http://webproxy.ncbi.nlm.nih.gov:3 \
		$(BINDIR)/test-proxy-with-scheme

	# bad proxy specifications in environment: fail
	http_proxy=h            $(BINDIR)/test-proxy-with-scheme
	http_proxy=:            $(BINDIR)/test-proxy-with-scheme
	http_proxy=:a           $(BINDIR)/test-proxy-with-scheme
	http_proxy=:2           $(BINDIR)/test-proxy-with-scheme
	http_proxy=h:/w.g:3128  $(BINDIR)/test-proxy-with-scheme
	http_proxy=http://      $(BINDIR)/test-proxy-with-scheme
	http_proxy=http://:3128 $(BINDIR)/test-proxy-with-scheme

	# VDB-3329: http_proxy specification with trailing slash
	ping -c1 webproxy > /dev/null && \
	http_proxy=http://webproxy.ncbi.nlm.nih.gov:3128/     \
		$(BINDIR)/test-proxy-with-scheme                       SUCCESS || echo skipped
	ping -c1 webproxy > /dev/null && \
	http_proxy=http://webproxy.ncbi.nlm.nih.gov:3128///   \
		$(BINDIR)/test-proxy-with-scheme                       SUCCESS || echo skipped
	ping -c1 webproxy > /dev/null && \
	http_proxy=http://webproxy.ncbi.nlm.nih.gov:3128/:    \
		$(BINDIR)/test-proxy-with-scheme                       SUCCESS || echo skipped
	ping -c1 webproxy > /dev/null && \
	http_proxy=http://webproxy.ncbi.nlm.nih.gov:3128???XY \
		$(BINDIR)/test-proxy-with-scheme                       SUCCESS || echo skipped
	http_proxy=http://webproxy.ncbi.nlm.nih.gov/X         \
		$(BINDIR)/test-proxy-with-scheme
	http_proxy=http://webproxy.ncbi.nlm.nih.gov?X         \
		$(BINDIR)/test-proxy-with-scheme

	@ echo ... test-proxy-with-scheme: END

## ncbi-vdb 2.9.1-1+dfsg

=== debian/changelog ===
ncbi-vdb (2.9.1-1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fixes accidental ABI break in 2.9.1
    Closes: #902566

 -- Andreas Tille <tille@debian.org>  Thu, 28 Jun 2018 05:41:16 +0200

ncbi-vdb (2.9.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Wed, 27 Jun 2018 21:41:56 +0200

ncbi-vdb (2.9.0-1+dfsg-2) unstable; urgency=medium

  * Drop some unneeded d-shlibs overrides available in version 0.82
  * New library package libvdb-sqlite2 / libvdb-sqlite-dev featuring
    the sqlite interface

 -- Andreas Tille <tille@debian.org>  Sun, 01 Apr 2018 14:53:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 11~),
-               d-shlibs,
+               d-shlibs (>= 0.82),
                libbz2-dev,
                libxml2-dev,
                libhdf5-dev,
@@ -14,9 +14,9 @@
                libmbedtls-dev,
                zlib1g-dev,
                default-jdk-headless
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ncbi-vdb.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/ncbi-vdb.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/ncbi-vdb
+Vcs-Git: https://salsa.debian.org/med-team/ncbi-vdb.git
 Homepage: https://github.com/ncbi/ncbi-vdb
 
 Package: libncbi-vdb2
@@ -135,3 +135,38 @@
  This library is part of the ncbi-vdb package.
  .
  This is the development package.
+
+Package: libvdb-sqlite2
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: sqlite modul of ncbi-vdb library
+ NGS is a new, domain-specific API for accessing reads, alignments and
+ pileups produced from Next Generation Sequencing. The API itself is
+ independent from any particular back-end implementation, and supports
+ use of multiple back-ends simultaneously. It also provides a library for
+ building new back-end "engines". The engine for accessing SRA data is
+ contained within the sister repository ncbi-vdb.
+ .
+ This library is part of the ncbi-vdb package and provides a sqlite
+ interface.
+
+Package: libvdb-sqlite-dev
+Architecture: any
+Section: libdevel
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libvdb-sqlite2 (= ${binary:Version})
+Description: sqlite modul of ncbi-vdb library (devel)
+ NGS is a new, domain-specific API for accessing reads, alignments and
+ pileups produced from Next Generation Sequencing. The API itself is
+ independent from any particular back-end implementation, and supports
+ use of multiple back-ends simultaneously. It also provides a library for
+ building new back-end "engines". The engine for accessing SRA data is
+ contained within the sister repository ncbi-vdb.
+ .
+ This library is part of the ncbi-vdb package and provides a sqlite
+ interface.
+ .
+ This is the development package.

=== debian/rules ===
--- 
+++ 
@@ -58,8 +58,6 @@
 		    --multiarch \
 		    --devunversioned \
 		    --exclude-la \
-		    --override s/libmbedcrypto0-dev/libmbedtls-dev/ \
-		    --override s/libmbedtls10-dev/libmbedtls-dev/ \
 		    --override s/libmbedx509-0-dev/libmbedtls-dev/ \
 		    --movedev debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/lib/libncbi-ngs-c++.a usr/lib/$(MULTIARCH) \
 		    --movedev debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/ilib/libkapp.a usr/lib/$(MULTIARCH) \
@@ -79,8 +77,6 @@
 		    --devunversioned \
 		    --exclude-la \
 		    --override s/libhdf5_serial[0-9]*-dev/libhdf5-dev/ \
-		    --override s/libmbedcrypto0-dev/libmbedtls-dev/ \
-		    --override s/libmbedtls10-dev/libmbedtls-dev/ \
 		    --override s/libmbedx509-0-dev/libmbedtls-dev/ \
 		    debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/lib/libkdf5.so
 	d-shlibmove --commit \
@@ -88,6 +84,11 @@
 		    --devunversioned \
 		    --exclude-la \
 		    debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/lib/libncbi-wvdb.so
+	d-shlibmove --commit \
+		    --multiarch \
+		    --devunversioned \
+		    --exclude-la \
+		    debian/tmp/usr/$(DEB_SOURCE)/$(OS)/gcc/*/dbg/lib/libvdb-sqlite.so
 	find debian/lib* -name .gitignore -delete
 	# move schemata from development packages to library packages since these are used in executables
 	mkdir -p $(SCHEMADIR)
@@ -99,3 +100,6 @@
 	    sed -i "s:^include ':&/usr/lib/ncbi-vdb/:" $${schema} ; \
 	    mv $${schema} $(SCHEMADIR)/$${schemadir} ; \
 	done
+
+override_missing:
+	dh_missing --fail-missing

## ncbi-vdb 2.9.2-1+dfsg

=== debian/changelog ===
ncbi-vdb (2.9.2-1+dfsg-1) unstable; urgency=medium

  * New upstream version

  [ Steve Langasek ]
  * add missing implementation of uint64_msbit for i386
    Closes: #907358

  [ Andreas Tille ]
  * d/rules:
     - DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
     - Considered using
           DEB_LDFLAGS_MAINT_APPEND := -Wl,-z,defs
       which should prevent successful build of a broken library (thanks
       for the hint to Steve Langasek) Unfortunately this uncovers several
       other build failures - volunteers to provide the correct linker
       flags are welcome
     - dh_auto_build --no-parallel
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 04 Sep 2018 14:14:44 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libmbedtls-dev,
                zlib1g-dev,
                default-jdk-headless
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/ncbi-vdb
 Vcs-Git: https://salsa.debian.org/med-team/ncbi-vdb.git
 Homepage: https://github.com/ncbi/ncbi-vdb
